"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.T = void 0;
const react_1 = __importDefault(require("react"));
const react_2 = require("@tolgee/react");
const T = (props) => {
    const key = props.transKey;
    const dotIndex = key.indexOf('.');
    let [ns, keyName] = [key.substring(0, dotIndex), key.substring(dotIndex + 1)];
    if (!keyName) {
        ns = undefined;
        keyName = ns;
    }
    return react_1.default.createElement(react_2.T, Object.assign({ ns: ns }, props, { keyName: keyName }));
};
exports.T = T;
